Trouble running under OpenSolaris

matthew hawthorne mhawthorne at gmail.com
Sun Apr 24 06:48:12 EDT 2011


hi jeffrey,

before you run riak, run `ulimit -n 1024` (with a number 1024 or
greater) to bump up your max open files limit.

for the other errors, I suspect that the user you're attempting to run
riak as doesn't have the rights to execute those binaries.  can you
double check the permissions on the files to ensure that they are
executable?

-matt


On Sat, Apr 23, 2011 at 8:53 PM, Jeffrey Kesselman <jeffpk at nphos.com> wrote:
> I downloaded the latest pre-built riak for OpenSolaris and installed it on
> the latest OpenSolaris release.
>
> When I run bin/riak start I get the following errors:
>
> riak at opensolaris:~$ bin/riak
> start
> !!!!
> !!!! WARNING: ulimit -n is 256; 1024 is the recommended minimum.
> !!!!
> bin/riak: line 71: /opt/riak/erts-5.7.5/bin/escript: cannot execute binary
> file
> bin/riak: line 79: /opt/riak/erts-5.7.5/bin/run_erl: cannot execute binary
> file
>
>
> _______________________________________________
> riak-users mailing list
> riak-users at lists.basho.com
> http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com
>
>




More information about the riak-users mailing list